      subroutine print_level_info(lp)
      use amr
      type(LEVEL_INFO),array(maxlev)   :: lp

      write(6,*) 'maxlev=',maxlev 
      write(6,*) '--- spatial steps: x,y,z  ---'
      do i=1,maxlev
      write(6,*) lp(i)%ldr
      enddo

      write(6,*) '--- tempral steps:  ---'
      do i=1,maxlev
      write(6,*) lp(i)%ldt
      enddo

      write(6,*) '--- regrid every lrgint steps:  ---'
      do i=1,maxlev
      write(6,*) lp(i)%lrgint
      enddo

      write(6,*) '--- steps so far:  ---'
      do i=1,maxlev
      write(6,*) lp(i)%lsteps
      enddo

      write(6,*) '--- regrid buffer sizes:  ---'
      do i=1,maxlev
      write(6,*) lp(i)%lbwx,lp(i)%lbwy,lp(i)%lbwz
      enddo

      write(6,*) '--- spatial shape factors:  ---'
      do i=1,maxlev
      write(6,*) lp(i)%rcxshp,lp(i)%rcyshp,lp(i)%rczshp
      enddo

      write(6,*) '--- tempral shape factor ---'
      do i=1,maxlev
      write(6,*) lp(i)%rcrhtm
      enddo

      write(6,*) '--- number of clusters ---'
      do i=1,maxlev
      write(6,*) lp(i)%nclusters
      enddo

      return 
      end subroutine print_level_info
